Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 241500 - Stable request for sci-libs/gdal-1.5.2
Summary: Stable request for sci-libs/gdal-1.5.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Steve Arnold
URL:
Whiteboard:
Keywords: STABLEREQ
: 245568 (view as bug list)
Depends on: 163151 CVE-2008-4482
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2008-10-12 02:42 UTC by Steve Arnold
Modified: 2009-03-22 23:52 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Arnold gentoo-dev 2008-10-12 02:42:04 UTC
It seems time to have a newer stable version; the only recent bugs on gdal ebuilds have been feature requests or addressed only older versions.  Thanks...
Comment 1 nixnut (RETIRED) gentoo-dev 2008-10-12 14:21:41 UTC
ppc stable
Comment 2 Markus Meier gentoo-dev 2008-10-12 15:37:14 UTC
detected a file collision:
 * package sci-libs/gdal-1.5.2 NOT merged
 * 
 * Detected file collision(s):
 * 
 * 	/usr/lib/perl5/5.8.8/i686-linux/perllocal.pod
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * dev-libs/libpreludedb-0.9.13
 * 	/usr/lib/perl5/5.8.8/i686-linux/perllocal.pod
Comment 3 Steve Arnold gentoo-dev 2008-10-18 19:19:49 UTC
Okay, we got rid of the extraneous pod, and I pegged the xerces-c dep at 2.8* until the upstream devs sort out the interface borkage.  Please continue to stablize 1.5.2 and those who want to mess with the new jpeg2k lib can play with 1.5.3 (note that manual conflict resolution is required for the latter, but does not apply to 1.5.2).  Thanks in advance...
Comment 4 Markus Meier gentoo-dev 2008-11-09 11:21:36 UTC
*** Bug 245568 has been marked as a duplicate of this bug. ***
Comment 5 Steve Arnold gentoo-dev 2008-11-11 02:45:49 UTC
Note: comment #3 should now say "updated to xerces-c 3* interface via upstream patch".
Comment 6 Markus Meier gentoo-dev 2008-11-22 14:46:15 UTC
(In reply to comment #5)
> Note: comment #3 should now say "updated to xerces-c 3* interface via upstream
> patch".

then we need to depend on bug #240496
Comment 7 Markus Meier gentoo-dev 2008-12-14 13:15:27 UTC
amd64/x86 stable
Comment 8 Friedrich Oslage (RETIRED) gentoo-dev 2008-12-25 13:40:02 UTC
sparc stable
Comment 9 Luis Ferreira 2009-01-04 10:02:55 UTC
make[3]: Entering directory `/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/ogr/ogrsf_frmts/mysql'
i686-pc-linux-gnu-g++ -march=pentium2 -O3 -pipe -fomit-frame-pointer -fPIC  -Wall  -I.. -I../.. -I/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/port -I/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/gcore -I/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/alg -I/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/ogr -I/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/ogr/ogrsf_frmts -I/usr/include/mysql -DOGR_ENABLED -I/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/port  -c -o ../o/ogrmysqldriver.o ogrmysqldriver.cpp
In file included from ogr_mysql.h:34,
                 from ogrmysqldriver.cpp:30:
/usr/include/mysql/my_global.h:361:24: error: asm/atomic.h: No such file or directory
make[3]: *** [../o/ogrmysqldriver.o] Error 1
make[3]: Leaving directory `/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/ogr/ogrsf_frmts/mysql'
make[2]: *** [mysql-target] Error 2
make[2]: Leaving directory `/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/ogr/ogrsf_frmts'
make[1]: *** [sublibs] Error 2
make[1]: Leaving directory `/var/tmp/portage/portage/sci-libs/gdal-1.5.2/work/gdal-1.5.2/ogr'
make: *** [ogr-target] Error 2
 *
 * ERROR: sci-libs/gdal-1.5.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3227:  Called die
 * The specific snippet of code:
 *       emake -j1 || die "emake failed";
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/portage/sci-libs/gdal-1.5.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/portage/sci-libs/gdal-1.5.2/temp/environment'.
 *
Comment 10 Per Pascal Seeland 2009-02-03 21:23:37 UTC
I just want to confirm Comment #9. I run into the same bug.

here is my emerge --info.
Portage 2.2_rc23 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-ovz006.5 i686)
=================================================================
System uname: Linux-2.6.24-ovz006.5-i686-AMD_Athlon-tm-_64_Processor_3200+-with-glibc2.0
Timestamp of tree: Tue, 03 Feb 2009 18:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -fomit-frame-pointer -pipe -msse3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon64 -fomit-frame-pointer -pipe -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache collision-protect distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperems sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://pandemonium.tiscali.de/pub/gentoo/ http://gentoo.intergenia.de "
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de en en_US en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage/portage"
PORTDIR_OVERLAY="/usr/portage/layman/webapps-experimental /usr/portage/layman/voip /usr/portage/layman/roslin /usr/local/overlays/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X Xaw3d a52 aac accessibility acl acpi adns aim alsa ao apache2 apm arts audiofile avahi bash-completion bcmath berkdb blas bluetooth branding bzip2 cairo caps cdparanoia cdr cgi clamav cli cracklib crypt cscope ctype cups curl curlwrappers dbm dbus dbx dri dts dv dvd dvdr dvdread eds emboss encode enscript esd evo exif expat fam fastcgi ffmpeg fftw firefox flac flatfile fltk foomaticdb fortran ftp gd gdbm geoip gif gimp glitz glut gmp gnome gnuplot gnutls gphoto2 gpm graphviz gstreamer gtk hal hddtemp howl iconv icq idn ieee1394 imagemagick imap imlib inifile innodb ipod ipv6 isdnlog jabber jack java javascript jingle joystick jpeg jpeg2k junit kde kdeenablefinal kontact ladspa lame lash latex lcms ldap libcaca libedit libnotify libsamplerate libwww lm_sensors lua lzo mad maildir matroska mcal memlimit mhash midi mikmod milter mime mmap mmx mng modplug mono mp3 mpeg mpi mplayer msn mudflap musepack musicbrainz mysql mysqli nas ncurses neXt netcdf nls nntp nptl nptlonly nsplugin ogg opengl openmp osc oscar oss pam pcntl pcre pdf perl php plasma png portaudio posix postgres ppds pppd prelude python qt3 qt3support qt4 quicktime raw readline recode reflection rss sasl scanner sdl session sharedext sharedmem shorten simplexml skey slang slp sndfile snmp soap sockets socks5 sox speex spell spl sqlite sqlite3 sse sse2 ssl startup-notification subversion svg sysfs syslog sysvipc szip taglib tcl tcpd theora threads tidy tiff tk tokenizer truetype unicode usb v4l v4l2 vcd vhosts videos vim-syntax vorbis wavpack win32codecs wmf x264 x86 xattr xcb xcomposite xface xine xinerama xinetd xml xmlrpc xorg xosd xpm xprint xscreensaver xsl xulrunner xv xvid yahoo yaz zlib" ALSA_CARDS="intel8x0 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en en_US en_GB" USERLAND="GNU" VIDEO_CARDS="none nv nvidia vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-06 21:27:36 UTC
ppc64, reping.
Comment 12 Per Pascal Seeland 2009-02-09 22:11:59 UTC
(In reply to comment #10)

As it looks the bug is cause by mysql and not gdal. The bug with resolution can be found here: http://bugs.gentoo.org/show_bug.cgi?id=163151 I did not have a close look at the explation how to close it, but it works.
Comment 13 Brent Baude (RETIRED) gentoo-dev 2009-03-02 19:51:41 UTC
ppc64 done
Comment 14 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-22 23:52:32 UTC
looks like all arches are done. closing.